---
- name: Set OS dependent variables
  ansible.builtin.include_vars: "{{ lookup('first_found', params) }}"
  vars:
    params:
      files:
        - "{{ ansible_distribution | lower }}_{{ ansible_distribution_version | lower }}.yml"
        - "{{ ansible_distribution | lower }}_{{ ansible_distribution_major_version | lower }}.yml"
        - "{{ ansible_distribution | lower }}.yml"
        - "{{ ansible_os_family | lower }}.yml"
        - "{{ ansible_system | lower }}.yml"
      paths:
        - "{{ role_path }}/vars"
  ignore_errors: true # noqa ignore-errors

- name: OS is supported
  ansible.builtin.assert:
    that: __os_supported
    quiet: true
  vars:
    __os_supported: "{{ lookup('vars', '{}_os_supported'.format(role_name)) | bool }}"

- name: cleanup (temporary task)
  ansible.builtin.file:
    path: /etc/apt/sources.list.d/{{ item }}
    state: absent
  loop:
    - deb_debian_org_debian.list
    - deb_debian_org_debian_security.list
    - security_debian_org_debian_security.list
    - security_debian_org.list

- name: Include OS-specific tasks.
  ansible.builtin.include_tasks: "{{ ansible_os_family | lower }}.yml"

- name: Include OS-specific tasks for sources repos.
  ansible.builtin.include_tasks: "{{ ansible_os_family | lower }}_sources.yml"

- name: Include OS-specific tasks for backport repos.
  ansible.builtin.include_tasks: "{{ ansible_os_family | lower }}_backports.yml"

- name: Update APT Cache
  when: > # noqa no-handler
    sources_base.changed or
    keys_base.changed or
    sources_sources.changed or
    keys_sources.changed or
    sources_backports.changed or
    keys_backports.changed
  ansible.builtin.apt:
    update_cache: true
